# Uses of Interface
org.eclipse.core.resources.IWorkspaceRunnable

Packages that use IWorkspaceRunnable
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.core.variants
Application programming interfaces for accessing and managing resource variants.

## Uses of IWorkspaceRunnable in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`void`
IWorkspace.`run(IWorkspaceRunnable action, IProgressMonitor monitor)`
Identical to `IWorkspace.run(ICoreRunnable, IProgressMonitor)`.
`void`
IWorkspace.`run(IWorkspaceRunnable action, ISchedulingRule rule, int flags, IProgressMonitor monitor)`
Identical to `IWorkspace.run(ICoreRunnable, ISchedulingRule, int, IProgressMonitor)`.

## Uses of IWorkspaceRunnable in org.eclipse.debug.core.model

Methods in org.eclipse.debug.core.model with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`protected void`
Breakpoint.`run(ISchedulingRule rule, IWorkspaceRunnable wr)`
Execute the given workspace runnable with the scheduling rule to use when running the operation.

## Uses of IWorkspaceRunnable in org.eclipse.debug.ui.actions

Classes in org.eclipse.debug.ui.actions that implement IWorkspaceRunnable
Modifier and Type
Class
Description
`class`
`RunToLineHandler`
Handles a run to line operation.

## Uses of IWorkspaceRunnable in org.eclipse.ltk.core.refactoring

Classes in org.eclipse.ltk.core.refactoring that implement IWorkspaceRunnable
Modifier and Type
Class
Description
`class`
`CheckConditionsOperation`
Operation that, when run, checks the preconditions of the `Refactoring` passed on creation.
`class`
`CreateChangeOperation`
Operation that, when performed, creates a `Change` object for a given refactoring.
`class`
`PerformChangeOperation`
Operation that, when run, performs a `Change` object.
`class`
`PerformRefactoringHistoryOperation`
Operation that, when run, executes a series of refactoring sequentially.
`class`
`PerformRefactoringOperation`
Operation that, when run, executes a refactoring.

## Uses of IWorkspaceRunnable in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`void`
IMergeContext.`run(IWorkspaceRunnable runnable, ISchedulingRule rule, int flags, IProgressMonitor monitor)`
Runs the given action as an atomic workspace operation.

## Uses of IWorkspaceRunnable in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`void`
MergeContext.`run(IWorkspaceRunnable runnable, ISchedulingRule rule, int flags, IProgressMonitor monitor)`
Default implementation of `run` that invokes the corresponding `run` on `IWorkspace`.

## Uses of IWorkspaceRunnable in org.eclipse.team.core.subscribers

Methods in org.eclipse.team.core.subscribers with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`protected void`
SubscriberMergeContext.`runInBackground(IWorkspaceRunnable runnable)`
Run the given runnable when the background handler for this context is idle.

## Uses of IWorkspaceRunnable in org.eclipse.team.core.variants

Methods in org.eclipse.team.core.variants with parameters of type IWorkspaceRunnable
Modifier and Type
Method
Description
`void`
PersistantResourceVariantByteStore.`run(IResource root, IWorkspaceRunnable runnable, IProgressMonitor monitor)`
`void`
ResourceVariantByteStore.`run(IResource root, IWorkspaceRunnable runnable, IProgressMonitor monitor)`
Run the given action which may contain multiple modifications to the byte store.
`void`
ThreeWaySynchronizer.`run(IResource resourceRule, IWorkspaceRunnable runnable, IProgressMonitor monitor)`
Perform multiple sync state modifications and fire only a single change notification at the end.